rotation spin box should be moved to project properties
Status: Closed

Priority: Normal

Assignee: Sandro Santilli

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 20047

Description

Given that it will mostly be set just once for a project, the rotation spin box should be moved to project properties to avoid cluttering the

(already complex) main QGIS ui. A couple of other fixes suggested:

- change the spin box to a QgsDoubleSpinBox with a clear value of 0, so that the reset button is added

- set keyboard tracking off for the widget (http://qt-project.org/doc/qt-4.8/qabstractspinbox.html#keyboardTracking-prop)

History

#1 - 2014-12-09 03:09 PM - Paolo Cavallini

-1 for me. As an hidden option, it will go unnoticed, and will be more difficult to use interactively.

#2 - 2014-12-10 01:59 AM - Sandro Santilli

Hey thanks for the keyboardTracking property, I didn't know about it. I saw you added that with commit 21c4cbbe1a600a4b3a1d5313bc07feafe2901aea

(for the record).

I also think the rotation value should be visible, FWIW

#3 - 2014-12-10 02:18 AM - Nathan Woodrow

-1 for hiding it. I do think it belongs in the status bar.  A more improved version in the future could be a small wheel in the top left of the map.

#4 - 2014-12-22 02:54 AM - Sandro Santilli

- Tag set to rotation

#5 - 2015-01-02 03:24 PM - Sandro Santilli

- Resolution set to wontfix

- Status changed from Open to Closed

Closing as won't fix...
